This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### hue()
Examples |
    noStroke();
    colorMode(HSB, 255);
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = hue(c);  // Sets 'value' to "0"
    fill(value);
    rect(50, 20, 35, 60);
Description | Extracts the hue value from a color.
Syntax |
    hue(rgb)
Parameters |
rgb | int: any value of the color datatype
Returns | float
Related | red() green() blue() alpha() saturation() brightness()

Updated on October 26, 2013 08:58:32pm PDT